-- --------------------------------------------------------
-- Хост:                         127.0.0.1
-- Версия сервера:               10.1.26-MariaDB - mariadb.org binary distribution
-- Операционная система:         Win32
-- HeidiSQL Версия:              9.4.0.5125
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


-- Дамп структуры базы данных scbest
CREATE DATABASE IF NOT EXISTS `scbest` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `scbest`;

-- Дамп структуры для таблица scbest.brand
CREATE TABLE IF NOT EXISTS `brand` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.brand: ~36 rows (приблизительно)
DELETE FROM `brand`;
/*!40000 ALTER TABLE `brand` DISABLE KEYS */;
INSERT INTO `brand` (`id`, `name`) VALUES
	(1, 'Acer'),
	(2, 'Alcatel'),
	(3, 'Apple'),
	(4, 'Asus'),
	(5, 'BBK'),
	(6, 'Brother'),
	(7, 'Canon'),
	(8, 'Chinese Mobile'),
	(9, 'Epson'),
	(10, 'Fly'),
	(11, 'HP'),
	(12, 'Intel'),
	(13, 'JAY-tech'),
	(14, 'KODAK'),
	(15, 'Lenovo'),
	(16, 'Lexmark'),
	(17, 'LG'),
	(18, 'Microlab'),
	(19, 'Motorola'),
	(20, 'Nikon'),
	(21, 'Nokia'),
	(22, 'NVIDIA'),
	(23, 'Odeon'),
	(24, 'Olimpus'),
	(25, 'Panasonic'),
	(26, 'PHILIPS'),
	(27, 'Pioneer'),
	(28, 'Polaroid'),
	(29, 'Prestigio'),
	(30, 'Samsung'),
	(31, 'Seekwood'),
	(32, 'Shuttle'),
	(33, 'Siemens'),
	(34, 'SONY'),
	(35, 'Sony Ericsson'),
	(36, 'XEROX');
/*!40000 ALTER TABLE `brand` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.client
CREATE TABLE IF NOT EXISTS `client` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(250) DEFAULT NULL,
  `address` varchar(250) DEFAULT NULL,
  `phone` varchar(100) DEFAULT NULL,
  `phone2` varchar(100) DEFAULT NULL,
  `comment` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.client: ~2 rows (приблизительно)
DELETE FROM `client`;
/*!40000 ALTER TABLE `client` DISABLE KEYS */;
INSERT INTO `client` (`id`, `name`, `address`, `phone`, `phone2`, `comment`) VALUES
	(1, 'Иванов Иван', 'Воровского, 77', '+7(988)506-92-91', '+ (   )   -  -  ', 'Какой то коммент. Профессор лапух, аппаратура принем'),
	(2, 'Петр Петров', 'Вокзал', '+8(999)999-99-99', '+ (   )   -  -  ', NULL);
/*!40000 ALTER TABLE `client` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.config
CREATE TABLE IF NOT EXISTS `config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(250) DEFAULT NULL,
  `inn` varchar(50) DEFAULT NULL,
  `ogrn` varchar(50) DEFAULT NULL,
  `address` varchar(250) DEFAULT NULL,
  `phone` varchar(250) DEFAULT NULL,
  `smsApi` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.config: ~0 rows (приблизительно)
DELETE FROM `config`;
/*!40000 ALTER TABLE `config` DISABLE KEYS */;
INSERT INTO `config` (`id`, `name`, `inn`, `ogrn`, `address`, `phone`, `smsApi`) VALUES
	(1, 'SCbest', '2320777777777', '222111555666', 'Сочи, ул.Ворошиловская, 8', '8(988)286-33-33', '');
/*!40000 ALTER TABLE `config` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.devtype
CREATE TABLE IF NOT EXISTS `devtype` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(250) DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.devtype: ~20 rows (приблизительно)
DELETE FROM `devtype`;
/*!40000 ALTER TABLE `devtype` DISABLE KEYS */;
INSERT INTO `devtype` (`id`, `name`, `parent_id`) VALUES
	(1, 'Мобильный телефон', 0),
	(2, 'Планшет', 0),
	(3, 'Ноутбук', 0),
	(4, 'Компьютер', 0),
	(5, 'Монитор', 0),
	(6, 'Принтер', 0),
	(7, 'Консоль', 0),
	(8, 'Фотоаппарат', 0),
	(9, 'Apple', 1),
	(10, 'iPhone 4', 9),
	(11, 'iPhone 4s', 9),
	(12, 'iPhone 5', 9),
	(13, 'iPhone 5s', 9),
	(14, 'iPhone 5c', 9),
	(15, 'iPhone 6', 9),
	(16, 'iPhone 6 Plus', 9),
	(17, 'iPhone 6s', 9),
	(18, 'iPhone 6s Plus', 9),
	(19, 'iPhone 7', 9),
	(20, 'iPhone 7 Plus', 9);
/*!40000 ALTER TABLE `devtype` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.fixprice
CREATE TABLE IF NOT EXISTS `fixprice` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `deviceType_id` int(11) DEFAULT '0',
  `name` varchar(250) DEFAULT NULL,
  `price` float DEFAULT '0',
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.fixprice: ~0 rows (приблизительно)
DELETE FROM `fixprice`;
/*!40000 ALTER TABLE `fixprice` DISABLE KEYS */;
INSERT INTO `fixprice` (`id`, `deviceType_id`, `name`, `price`, `description`) VALUES
	(1, 1, 'Замена дисплея', 900, NULL);
/*!40000 ALTER TABLE `fixprice` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.main
CREATE TABLE IF NOT EXISTS `main` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` datetime DEFAULT NULL,
  `brand_id` int(11) DEFAULT NULL,
  `devtype_id` int(11) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `client_id` int(11) DEFAULT NULL,
  `model` varchar(150) DEFAULT NULL,
  `serial` varchar(150) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `date_end` datetime DEFAULT NULL,
  `defect` text,
  `comment` text,
  `warranty` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.main: ~3 rows (приблизительно)
DELETE FROM `main`;
/*!40000 ALTER TABLE `main` DISABLE KEYS */;
INSERT INTO `main` (`id`, `date`, `brand_id`, `devtype_id`, `status`, `client_id`, `model`, `serial`, `user_id`, `date_end`, `defect`, `comment`, `warranty`) VALUES
	(1, '2017-09-01 13:00:23', 3, 1, 'Выдан', 1, 'iPhone 5', '78884984984', 1, '2017-09-26 16:23:18', 'Сломался', '7777', 96),
	(2, '2017-09-24 11:10:11', 3, 1, 'Выдан', 1, 'iPhone 6', '888777888', 1, '2017-09-26 16:11:15', 'Сломалсяцц', '8888цц', 7),
	(3, '2017-09-28 11:12:48', 3, 1, 'Принят', 1, 'iPhone 3', '2342', 2, NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `main` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.photo
CREATE TABLE IF NOT EXISTS `photo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(250) DEFAULT NULL,
  `main_id` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.photo: ~0 rows (приблизительно)
DELETE FROM `photo`;
/*!40000 ALTER TABLE `photo` DISABLE KEYS */;
/*!40000 ALTER TABLE `photo` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.stock
CREATE TABLE IF NOT EXISTS `stock` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date DEFAULT NULL,
  `moveIn` tinyint(4) NOT NULL DEFAULT '0',
  `main_id` int(11) NOT NULL DEFAULT '0',
  `base` varchar(250) DEFAULT NULL,
  `comment` text,
  `user_id` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.stock: ~4 rows (приблизительно)
DELETE FROM `stock`;
/*!40000 ALTER TABLE `stock` DISABLE KEYS */;
INSERT INTO `stock` (`id`, `date`, `moveIn`, `main_id`, `base`, `comment`, `user_id`) VALUES
	(1, '2017-09-25', 0, 1, 'просто так', 'привет', 2),
	(2, '2017-09-02', 1, 0, 'просто так', 'просто так', 1),
	(4, '2017-09-25', 0, 2, NULL, NULL, 2),
	(5, '2017-10-09', 1, 0, 'вэжапдэвжап', 'уццкуц', 2);
/*!40000 ALTER TABLE `stock` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.stockmove
CREATE TABLE IF NOT EXISTS `stockmove` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `stock_id` int(11) NOT NULL DEFAULT '0',
  `value_id` int(11) NOT NULL DEFAULT '0',
  `quantity` int(11) NOT NULL DEFAULT '0',
  `buyPrice` float NOT NULL DEFAULT '0',
  `price` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.stockmove: ~2 rows (приблизительно)
DELETE FROM `stockmove`;
/*!40000 ALTER TABLE `stockmove` DISABLE KEYS */;
INSERT INTO `stockmove` (`id`, `stock_id`, `value_id`, `quantity`, `buyPrice`, `price`) VALUES
	(2, 2, 1, 5, 1500, 3000);
/*!40000 ALTER TABLE `stockmove` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.users
CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(250) DEFAULT NULL,
  `name` varchar(250) DEFAULT NULL,
  `password` varchar(250) DEFAULT NULL,
  `rights` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.users: ~2 rows (приблизительно)
DELETE FROM `users`;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`id`, `login`, `name`, `password`, `rights`) VALUES
	(1, 'gulik', 'Гулеватый Владимир', '3c6fcccf800b9652d2ac85de6c108c86', 0),
	(2, 'korneev', 'Корнеев Дмитрий', 'c4ca4238a0b923820dcc509a6f75849b', 3);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.value
CREATE TABLE IF NOT EXISTS `value` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `deviceType_id` int(11) DEFAULT '0',
  `vendor` varchar(50) DEFAULT NULL,
  `name` varchar(250) DEFAULT NULL,
  `isFolder` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.value: ~4 rows (приблизительно)
DELETE FROM `value`;
/*!40000 ALTER TABLE `value` DISABLE KEYS */;
INSERT INTO `value` (`id`, `deviceType_id`, `vendor`, `name`, `isFolder`) VALUES
	(1, 12, 'V000000001', 'iPhone 5 LCD', NULL),
	(2, 19, 'V000000002', 'iPhone 7 LCD', NULL),
	(3, 13, 'V000000003', 'iPhone 5s LCD', NULL),
	(4, 15, 'V000000004', 'iPhone 6 LCD', NULL);
/*!40000 ALTER TABLE `value` ENABLE KEYS */;

-- Дамп структуры для таблица scbest.works
CREATE TABLE IF NOT EXISTS `works` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `main_id` int(11) DEFAULT '0',
  `fixprice_id` int(11) DEFAULT '0',
  `price` float DEFAULT '0',
  `quantity` smallint(6) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы scbest.works: ~0 rows (приблизительно)
DELETE FROM `works`;
/*!40000 ALTER TABLE `works` DISABLE KEYS */;
INSERT INTO `works` (`id`, `main_id`, `fixprice_id`, `price`, `quantity`) VALUES
	(6, 3, 1, 1000, 1);
/*!40000 ALTER TABLE `works` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
