unit Unit23;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.Buttons, Vcl.ExtCtrls,
  DBGridEhGrouping, ToolCtrlsEh, DBGridEhToolCtrls, DynVarsEh, EhLibVCL,
  GridsEh, DBAxisGridsEh, DBGridEh, Data.DB, Data.Win.ADODB, Vcl.Mask,
  DBCtrlsEh, DBLookupEh;

type
  TfStockMoveEdit = class(TForm)
    Panel1: TPanel;
    bbOk: TBitBtn;
    bbCancel: TBitBtn;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    DBGridEh1: TDBGridEh;
    dsStockMove: TDataSource;
    qStockMove: TADOQuery;
    qStockMoveid: TAutoIncField;
    qStockMovestock_id: TIntegerField;
    qStockMovevalue_id: TIntegerField;
    qStockMovequantity: TIntegerField;
    qStockMovebuyPrice: TFloatField;
    qStockMoveprice: TFloatField;
    qStockMovemoveIn: TSmallintField;
    qStockMovemove_in: TStringField;
    DBLookupComboboxEh1: TDBLookupComboboxEh;
    dsValue: TDataSource;
    GroupBox3: TGroupBox;
    DBEditEh2: TDBEditEh;
    DBEditEh3: TDBEditEh;
    DBEditEh4: TDBEditEh;
    qStockMovename: TWideStringField;
    qStockMovevendor: TWideStringField;
    qResidues: TADOQuery;
    DBEditEh1: TDBEditEh;
    dsResidues: TDataSource;
    qResiduesid: TAutoIncField;
    qResiduesdeviceType_id: TIntegerField;
    qResiduesvendor: TWideStringField;
    qResiduesname: TWideStringField;
    qResiduesisFolder: TSmallintField;
    qResiduesquantityIn: TFMTBCDField;
    qResiduesquantityOut: TFMTBCDField;
    qResiduestotal: TFMTBCDField;
    procedure qStockMoveCalcFields(DataSet: TDataSet);
    procedure FormShow(Sender: TObject);
    procedure DBLookupComboboxEh1Change(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fStockMoveEdit: TfStockMoveEdit;

implementation

{$R *.dfm}

uses Unit2, Unit22;

procedure TfStockMoveEdit.DBLookupComboboxEh1Change(Sender: TObject);
begin
  qStockMove.Close;
  qResidues.Close;
  qStockMove.Parameters[0].Value := DM.tValueid.Value;
  qResidues.Parameters[0].Value := DM.tValueid.Value;
  qStockMove.Open;
  qResidues.Open;
end;

procedure TfStockMoveEdit.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DM.tValue.Close;
end;

procedure TfStockMoveEdit.FormShow(Sender: TObject);
begin
  DM.tValue.Open;
end;

procedure TfStockMoveEdit.qStockMoveCalcFields(DataSet: TDataSet);
begin
  if qStockMovemoveIn.AsInteger = 1 then
    qStockMovemove_in.AsString := ''
  else
    qStockMovemove_in.AsString := '';
end;

end.
